#ifndef RTS_PLAYER_HPP
#define RTS_PLAYER_HPP

#include "utils/player.hpp"
#include "utils/player_input.hpp"
#include <godot_cpp/classes/node3d.hpp>

class RTSPlayer : public godot::Node3D,
                  public godot::IPlayer {
    GDCLASS(RTSPlayer, godot::Node3D);
    static void _bind_methods();
public:
    virtual void setup_player_input(godot::PlayerInput *input) override;
    virtual Node *to_node() override;
    virtual void spawn_at_position(godot::Transform3D const &at) override;
private:
};

#endif // !RTS_PLAYER_HPP
